#ifndef DIHEDRAL_ANGLES_FILTER_H
#define DIHEDRAL_ANGLES_FILTER_H

#include <vtkUnstructuredGridAlgorithm.h>
#include <vtkIdList.h>


class DihedralAnglesFilter : public vtkUnstructuredGridAlgorithm {
public:
	static DihedralAnglesFilter *New();
	vtkTypeMacro(DihedralAnglesFilter, vtkUnstructuredGridAlgorithm);
	vtkTypeBool RequestData(vtkInformation *request,
							vtkInformationVector **inputVector,
							vtkInformationVector *outputVector) override;

protected:
	~DihedralAnglesFilter() override = default;
};


#endif